<template>
  <div class="profile-main">
    <div class="profile-title">
      <h1>
        <div class="profile-icon">
          <country-flag :country="steItem(ste).alpha2.toLowerCase()" size="big" />
        </div>
        {{ nameEn }}
      </h1>
      <h2 v-if="nameEn">
        {{ fullNameEn }}
        <a target="_dfa" class="outlink" :href="dfaUrlEn">DFA &#x25B6;</a>
      </h2>
      <h3 v-if="nameGa">
        {{ nameGa }}
        <a class="outlink" target="_dfa" :href="dfaUrlGa">DFA &#x25B6;</a>
      </h3>
    </div>
    <div class="total-population">
      <p><span class="statistic">{{ totalPopulation }}</span>, from <span class="place">{{ nameEn }}</span></p>
      <small>Source</small>
    </div>
    <div v-for="(article, ix) in steArticles" :key="ix" :class="{'profile-article': true, 'profile-header-gap': ix < 2}">
      <div v-if="ix == 0" class="articles-header">
        <h3>Related articles..</h3>
      </div>
      <img :src="article.Image"><h2><a target="_blank" :href="article.URL">{{ article.Title }}</a></h2>
    </div>
  </div>
</template>

<script>
import CountryFlag from 'vue-country-flag'
import { mapState, mapGetters } from 'vuex'

export default {
  name: 'Profile',
  props: {
  },
  data () {
    return {
    };
  },
  computed: {
    nameGa: function () {
      if (this.steCode && this.steCode.dfaie) {
        return this.steCode.dfaie.GA;
      }
      return null;
    },
    fullNameEn: function () {
      if (this.steCode) {
        if (this.steCode['UNTERM English Formal']) {
          return this.steCode['UNTERM English Formal'];
        }
        return this.steCode.official_name_en;
      }
      return this.nameGa;
    },
    dfaUrlEn: function () {
      if (this.steCode && this.steCode.dfaie) {
        return this.steCode.dfaie.EN_URL;
      }
      return null;
    },
    dfaUrlGa: function () {
      if (this.steCode && this.steCode.dfaie) {
        return this.steCode.dfaie.GA_URL;
      }
      return null;
    },
    nameEn: function () {
      if (this.steCode) {
        if (this.steCode['CLDR display name']) {
          return this.steCode['CLDR display name'];
        }
        if (this.steCode.dfaie) {
          return this.steCode.dfaie.EN_DFA;
        }
        return this.steCode.official_name_en;
      }
      return null;
    },
    ...mapState([
      'year',
      'ste'
    ]),
    ...mapGetters([
      'steArticles',
      'steItem',
      'totalPopulation',
      'steCode'
    ])
  },
  components: {
    CountryFlag
  },
  mounted: function () {
  },
  methods: {
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
.fade-enter-active, .fade-leave-active {
  transition: opacity .5s;
}
.fade2-enter-active, .fade2-leave-active {
  transition: opacity 0.8s;
}
.fade3-enter-active {
  transition: opacity 0.3s;
}
.fade3-enter, .fade2-enter, .fade2-leave-to, .fade-enter, .fade-leave-to /* .fade-leave-active below version 2.1.8 */ {
  opacity: 0;
}
.profile-icon {
  display: inline-block;
  border-radius: 30px;
  width: 60px;
  margin-left: 20px;
  margin-bottom: 10px;
  padding-right: 13px;
  height: 50px;
  position: relative;
  top: 10px;
  left: 10px;
  transform: scale(1.5);
  overflow: hidden;
}
.profile-icon .flag {
  position: absolute;
  top: -5px;
  left: -5px;
}
.flag-ste {
  position: absolute;
  top: 50px;
}
.flag-main {
  text-align: left;
  position: relative;
}
h1 {
  font-size: 350%;
  padding-bottom: 10px;
  padding-right: 20px;
  border-bottom: 2px rgba(0, 160, 106, 1.0) solid;
  margin-bottom: 0px;
}
h2 {
  padding: 5px 5px 10px 5px;
  margin: 0 0 0 0;
  font-size: 250%;
  background: rgba(255, 255, 255, 0.8);
  color: rgba(170, 170, 170, 1.0);
}
h3 {
  font-family: 'Arial Black';
  font-weight: normal;
  margin: 0 0 0 0;
  font-size: 120%;
}
.profile-title {
}
.profile-main {
  display: flex;
  flex-wrap: wrap;
}
.outlink {
  font-size: 40%;
}
.profile-article {
  padding: 10px;
  position: relative;
  top: 50px;
  padding-top: 20px;
  padding-bottom: 0px;
  min-width: 200px;
  max-width: 1vw;
  text-align: center;
}
.profile-article h2 {
  text-align: left;
  font-size: 100%;
}
.profile-article img {
  max-height: 160px;
  max-width: 200px;
}

.articles-header h3 {
  font-family: 'Georgia';
  font-weight: bold;
  color: rgba(0, 80, 53, 1.0);
}
.articles-header {
  top: -30px;
  white-space: nowrap;
  z-index: 1000;
  position: absolute;
  font-size: 130%;
}
.profile-header-gap {
  position: relative;
}

.total-population {
  max-width: 400px;
  padding: 30px;
}
.total-population p {
  padding: 30px;
  background: rgba(240, 240, 250, 1);
}
.total-population .statistic {
  font-size: 300%;
}
.total-population .year {
  font-size: 200%;
}
.total-population .place {
  font-weight: bold;
}
</style>
